﻿using C1.Chart;
using C1.Win.Chart;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WindowsFormsApplication1
{

    public class tempClass
    {
        public double Key { get; set; }        //時間
        public double Value { get; set; }   //値
    }

    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            this.flexChart1.Series.Clear();

            List<tempClass> listDataTempAAA = new List<tempClass>();
            List<tempClass> listDataTempBBB = new List<tempClass>();

            DataTable dataAAA = new DataTable();
            DataTable dataBBB = new DataTable();
            dataAAA.Columns.Add("Key", typeof(double));
            dataAAA.Columns.Add("Value", typeof(double));
            dataBBB.Columns.Add("Key", typeof(double));
            dataBBB.Columns.Add("Value", typeof(double));

            for (int i = 0;i < 10;i++)
            {
                tempClass temp = new tempClass();
                var row = dataAAA.NewRow();

                row["Key"] = temp.Key = i;
                row["Value"] = temp.Value = i * 10;

                listDataTempAAA.Add(temp);
                dataAAA.Rows.Add(row);
            }
            for (int i = 0; i < 10; i++)
            {
                tempClass temp = new tempClass();
                var row = dataBBB.NewRow();

                row["Key"] = temp.Key = i;
                row["Value"] = temp.Value = i * 100;

                listDataTempBBB.Add(temp);
                dataBBB.Rows.Add(row);
            }
            var si1 = new Series()
            {
                Name = "AAA",
                DataSource = dataAAA, //listDataTempAAA.ToArray(),
                BindingX = "Key",                                          
                Binding = "Value",                                         
                ChartType = ChartType.Step,                                
                //AxisY = new Axis()
                //{
                //    Position = Position.Left,
                //    MajorUnit = 10,
                //    Labels = true,
                //    Origin = -20
                //}
            };

            var si2 = new Series()
            {
                Name = "BBB",
                DataSource = dataBBB,// listDataTempBBB.ToArray(),
                BindingX = "Key",
                Binding = "Value",
                ChartType = ChartType.Step,
                //Y軸を作成する
                AxisY = new Axis()
                {
                    Position = Position.Left,
                    MajorUnit = 100,
                    Labels = true,
                    Max = 1000,
                    Origin = 30
                }
            };

            

            si2.Style.StrokeColor = Color.Blue;
            si2.AxisY.Style.StrokeColor = Color.Blue;

            this.flexChart1.Series.Add(si1);
            this.flexChart1.Series.Add(si2);
            si1.AxisY = new Axis()
            {
                Position = Position.Left,
                MajorUnit = 10,
                Labels = true,
                //Origin = -20
            };
            si1.Style.StrokeColor = Color.Red;
            si1.AxisY.Style.StrokeColor = Color.Red;
        }
    }
}
